def play():
    words = []
    words.append(input("Inserisci una parola: "))

    while True:
        print(words)
        word = input("Inserisci una parola: ")

        if words[-1][-2:] == word[0:2] and word not in words:
            words.append(word)
        else:
            print("Fine dei giochi")
            return

play()